// Energy delivered to a load given current, voltage and time
// SCILAB source file: tyk21-13.sce
// Get input data from dialogue box
txt = ['Supply voltage (V)';'Supply current (A)';'Time (s)';];
var = x_mdialog('Enter supply voltage, supply current, and time',txt,['12';'1.5';'120';]);
v = evstr(var(1));
i = evstr(var(2));
t = evstr(var(3));
// Power supplied to the load
p = i * v; 
// Energy delivered to the load
w = p * t;
// Display result
messagebox("Energy delivered to the load = " + string(w) + " J")

